Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_WrongTransaction Class Reference

Exception class generated by the TAO IDL compiler. More...

`#include <WrongTransactionC.h>`

Inheritance diagram for CORBA_WrongTransaction

[legend]
Collaboration diagram for CORBA_WrongTransaction:

[legend]
List of all members.

## Public Methods
| CORBA_WrongTransaction (void)
| CORBA_WrongTransaction (const CORBA_WrongTransaction &)
| ~CORBA_WrongTransaction (void)
CORBA_WrongTransaction& | operator= (const CORBA_WrongTransaction &)
virtual void | _raise (void)
virtual void | _tao_encode (TAO_OutputCDR &cdr, CORBA::Environment &) const
virtual void | _tao_decode (TAO_InputCDR &cdr, CORBA::Environment &)
## Static Public Methods
CORBA_WrongTransaction* | _downcast (CORBA::Exception *)
CORBA::Exception* | _alloc (void)

## Detailed Description

Exception class generated by the TAO IDL compiler.

This exception is thrown if a CORBA Request is implicitly associated with a transaction and is found to have an error in its parameters when checked at runtime (invocation).

## Constructor & Destructor Documentation

CORBA_WrongTransaction::CORBA_WrongTransaction ( | void )

CORBA_WrongTransaction::CORBA_WrongTransaction ( | const CORBA_WrongTransaction & _tao_excp )

CORBA_WrongTransaction::~CORBA_WrongTransaction ( | void )

## Member Function Documentation

CORBA::Exception * CORBA_WrongTransaction::_alloc ( | void )`[static]`

CORBA_WrongTransaction_ptr CORBA_WrongTransaction::_downcast ( | CORBA::Exception * exc )`[static]`

void CORBA_WrongTransaction::_raise ( | void )`[virtual]`

void CORBA_WrongTransaction::_tao_decode ( | TAO_InputCDR & cdr,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

void CORBA_WrongTransaction::_tao_encode ( | TAO_OutputCDR & cdr,
| CORBA::Environment & ACE_TRY_ENV ) const`[virtual]`

CORBA_WrongTransaction & CORBA_WrongTransaction::operator= ( | const CORBA_WrongTransaction & _tao_excp )

The documentation for this class was generated from the following files:

- WrongTransactionC.h
- WrongTransactionC.cpp